var mongoose = require('mongoose')
	, Schema = mongoose.Schema
	, ObjectId = Schema.Types.ObjectId
	;

var entrySchema = new Schema({
	owner: {type: ObjectId, ref: 'user'},
	title: String,
	slug: {type: String, required: true},
	long_url: {type: String, required: true},
	note: String,
	created: {type: Date, 'default': Date.now}
});

module.exports = entrySchema;